delete from `ombutel`.`ombu_system_settings`
where param in ('ASTAGIDIR','ASTETCDIR','ASTLOGDIR','ASTMODDIR','ASTSOUNDDIR','ASTSPOOLDIR','ASTVARLIBDIR','NIGHTMODEPASSWORD','TCPASSWORD','REMOTEWAKEUPCALL');

rename table `ombutel`.`ombu_system_settings` to `ombutel`.`ombu_system_settings_temp`;

create table `ombutel`.`ombu_system_settings` (
    `id` int unsigned not null auto_increment,
    `param` varchar(255) not null,
    `value` varchar(255) default null,
    `generate` enum('yes','no') not null default 'yes',
    primary key (`id`),
    unique (`param`)
);

insert into `ombutel`.`ombu_system_settings` (`param`, `value`, `generate`)
    select `param`,`value`,`generate`
    from `ombutel`.`ombu_system_settings_temp`;

insert into `ombutel`.`ombu_system_settings` (`param`, `value`, `generate`) values
    ('VM_ENABLED', 'yes', 'no'),
    ('PORTAL_ENABLED', 'no', 'no'),
    ('HINTS_ENABLED', 'no', 'no');

drop table `ombutel`.`ombu_system_settings_temp`;
drop table `ombutel`.`ombu_system`;