use `ombutel`;

delete `mbt` from `xepm_model_button_types` as `mbt`
left join `xepm_button_types` as `bt` on (
	`bt`.`button_type_id` = `mbt`.`button_type_id`)
left join `xepm_models` as `models` on (
	`models`.`model_id` = `mbt`.`model_id`)
left join `xepm_brands` as `brands` on (
	`brands`.`brand_id` = `models`.`brand_id`)
where `bt`.`ident` = '1,/b' and
	`brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s', 'x6');

insert into `xepm_button_types` (`ident`, `name`) values (
	'1,/bf', 'BLF/CONF');

select `models`.`model_id`, max(`mbt`.`index`) into @model_id, @index
	from `xepm_model_button_types` as `mbt`
left join `xepm_models` as `models` on (
	`models`.`model_id` = `mbt`.`model_id`)
left join `xepm_brands` as `brands` on (
	`brands`.`brand_id` = `models`.`brand_id`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` = 'x5s';

insert into `xepm_model_button_types` (
	`model_id`, `category_id`, `button_type_id`, `index`)
select @model_id,1,`button_type_id`, @index := @index +1
	from `xepm_button_types`
where `name` like 'blf/%' and
	`ident` like '1%';

insert into `xepm_model_button_types` (
	`model_id`, `category_id`, `button_type_id`, `index`)
select @model_id,2,`button_type_id`, @index := @index +1
	from `xepm_button_types`
where `name` like 'blf/%' and
	`ident` like '1%';

select `models`.`model_id`, max(`mbt`.`index`) into @model_id, @index
	from `xepm_model_button_types` as `mbt`
left join `xepm_models` as `models` on (
	`models`.`model_id` = `mbt`.`model_id`)
left join `xepm_brands` as `brands` on (
	`brands`.`brand_id` = `models`.`brand_id`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` = 'x6';

insert into `xepm_model_button_types` (
	`model_id`, `category_id`, `button_type_id`, `index`)
select @model_id,1,`button_type_id`, @index := @index +1
	from `xepm_button_types`
where `name` like 'blf/%' and
	`ident` like '1%';

insert into `xepm_model_button_types` (
	`model_id`, `category_id`, `button_type_id`, `index`)
select @model_id,2,`button_type_id`, @index := @index +1
	from `xepm_button_types`
where `name` like 'blf/%' and
	`ident` like '1%';
