insert into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`)
select
	`modules`.`module_id`,
	"default_parking_lot",
	`parking_lots`.`parking_lot_id`
from `ombutel`.`ombu_modules` as `modules`
join `ombutel`.`ombu_parking_lots` as `parking_lots`
where `modules`.`name` = "parking"
and `parking_lots`.`defpark` = "yes"
limit 1
on duplicate key update `value` = values(`value`);

alter table `ombutel`.`ombu_parking_lots` drop column `defpark`;
