insert ignore into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ('certificates', 'no', 'yes', '1.0', 'no');

select `module_id` into @module_id from `ombutel`.`ombu_modules` where `name` = 'certificates';
select `menu_id` into @parent_id from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.security';
select coalesce(max(`sort`), 0)+1 into @sort from `ombutel`.`ombu_menu` where `parent_id` = @parent_id;

insert ignore into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
values ('menu.certificates', @parent_id, @module_id, @sort);

insert ignore into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`, @module_id, 'yes', 'yes', 'yes', 'yes' from `ombutel`.`ombu_roles` where `superadmin` = 'yes';

insert ignore into `ombutel`.`ombu_firewall_services` (`name`, `protocol`, `port`) values ('HTTPS', 'tcp', '443');
