select `module_id` into @module_id from `ombutel`.`ombu_modules` where `name` = "sip_settings";
insert ignore into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`) values
	(@module_id, "accept_outofcall_message", "yes"),
	(@module_id, "allowedcodecs", "ulaw,alaw,g729"),
	(@module_id, "allowguest", "no"),
	(@module_id, "allowtransfer", "yes"),
	(@module_id, "alwaysauthreject", "yes"),
	(@module_id, "authfailureevents", "no"),
	(@module_id, "autoframing", "no"),
	(@module_id, "defaultexpiry", 120),
	(@module_id, "dumphistory", "no"),
	(@module_id, "dynamic_exclude_static", "no"),
	(@module_id, "faxdetect", "no"),
	(@module_id, "g726nonstandard", "no"),
	(@module_id, "jbenabled", "no"),
	(@module_id, "jbforce", "no"),
	(@module_id, "jbimpl", "fixed"),
	(@module_id, "language", "en"),
	(@module_id, "maxcallbitrate", 384),
	(@module_id, "maxexpiry", 3600),
	(@module_id, "minexpiry", 60),
	(@module_id, "nat","force_rport,comedia"),
	(@module_id, "notifycid", "no"),
	(@module_id, "notifyhold", "no"),
	(@module_id, "notifyringing", "yes"),
	(@module_id, "preferred_codec_only", "no"),
	(@module_id, "recordhistory", "no"),
	(@module_id, "rtpholdtimeout", 300),
	(@module_id, "rtptimeout", 30),
	(@module_id, "sipdebug", "no"),
	(@module_id, "srvlookup", "no"),
	(@module_id, "t38pt_udptl", "no"),
	(@module_id, "tonezone", "us"),
	(@module_id, "tos_audio", "ef"),
	(@module_id, "tos_sip", "cs3"),
	(@module_id, "tos_video", "af41"),
	(@module_id, "videosupport", "no")
on duplicate key update `value` = if(`value` = "", values(`value`), `value`);
