(function () {
	$("#extension_settings_form").validate(Validations);
	var attach_toggle = $("#extension_settings_form #extension_settingsgeneral input#attach");
	var delete_toggle = $("#extension_settings_form #extension_settingsgeneral input#delete");
	var delete_toggle_labels = $("#extension_settings_form #extension_settingsgeneral div.form-group-delete label");

	$("#extension_settings_form #extension_settingsgeneral input#attach").on('change', function() {
		gray_out(attach_toggle,delete_toggle,delete_toggle_labels);
	});
	gray_out(attach_toggle,delete_toggle,delete_toggle_labels);

	$("#extension_settingsvoicemail button.play").not('.disabled').click(function() {
		$.ajax({
			type : "POST",
			dataType : "json",
			data : { class: "extension_settings", method: "player", what: $(this).data("what") },
			success : processServerResponse
		});
	});

	$("#extension_settingsvoicemail button.edit").click(function() {
		pbx_request("extension_settings", "upload_vm_prompt", $(this).data('upload'));
	});

	$("#extension_settingsvoicemail button.delete").not('.disabled').click(function() {
		pbx_request("extension_settings", "delete_vm_prompt", $(this).data('what'));
	});

	$(document).on("change", 'input[type="file"]', function(){
		$(this).next("label.form-control").text($(this).val())
	});

	// prevent setting attaching vm without notify
	// or setting deleting vm without attaching
	var attach_toggle = $("#extension_settingsvoicemail input#attach");

	var delete_toggle = $("#extension_settingsvoicemail input#delete");
	var delete_toggle_labels = $("#extension_settingsvoicemail div.form-group-delete label");

	var notifications_toggle = $("#extension_settingsvoicemail input#notifications");
	var notifications_toggle_labels = $("#extension_settingsvoicemail div.form-group-notifications label");
	var set_restrictions = function() {
		if(!attach_toggle.prop('checked')) {
			delete_toggle.bootstrapToggle('off');
		} else {
			notifications_toggle.bootstrapToggle('on');
		}
		gray_out(attach_toggle, notifications_toggle, notifications_toggle_labels, true);
		gray_out(attach_toggle,delete_toggle,delete_toggle_labels);
	}
	$("#extension_settingsvoicemail input#attach").on('change', function() {
		set_restrictions();
	});

	set_restrictions();
})();
